declare type UserInfo = {
    name: string;
    email: string;
};
export declare const getUserInfo: (accessToken: string) => Promise<UserInfo>;
declare type RepoInfos = {
    owner: string;
    visibility: "public" | "private";
    archived: boolean;
    description?: string | undefined;
    name: string;
    fullName: string;
}[];
export declare const getUserRepos: (accessToken: string) => Promise<RepoInfos>;
export declare const createGithubRepo: (accessToken: string, name: string, description: string) => Promise<void>;
export declare const getDefaultBranch: (accessToken: string, repoName: string) => Promise<string | undefined>;
export {};
